Bug 213579 - x11-wm/hs-xmonad & x11-wm/hs-xmonad-contrib update to 0.12
Summary: x11-wm/hs-xmonad & x11-wm/hs-xmonad-contrib update to 0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D8191
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-17 21:24 UTC by martin
Modified: 2017-01-20 09:08 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback-


Attachments
All three mention ports are updated in this patch (7.03 KB, patch)
2016-10-17 21:24 UTC, martin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2016-10-17 21:24:19 UTC
Created attachment 175883 [details]
All three mention ports are updated in this patch

Hi,

I've prepared a patch for hs-xmonad & hs-xmonad-contrib to version 0.12.

Also:

- I removed all patches including XFORK_FIX (it seems it is not needed anymore).
- New port as dependency: devel/hs-setlocale

--
Martin
Comment 1 Tobias C. Berner freebsd_committer 2016-12-14 22:22:43 UTC
I've been using this now for some time without any issues. So it seems to work just fine.

You should add hs-setlocale to devel/Makefile though.
Comment 2 commit-hook freebsd_committer 2016-12-28 21:00:43 UTC
A commit references this bug:

Author: tcberner
Date: Wed Dec 28 21:00:28 UTC 2016
New revision: 429826
URL: https://svnweb.freebsd.org/changeset/ports/429826

Log:
  Update x11-wm/hs-xmonad & x11-wm/hs-xmonad-contrib to 0.12

  * Removes all patches including XFORK_FIX (it seems it is not needed anymore).
  * New port as dependency: devel/hs-setlocale

  PR:             213579
  Submitted by:   Martin Sugioarto <martin@sugioarto.com>
  Approved by:    maintainer timeout (2 months), rakuco (mentor)
  Differential Revision:  https://reviews.freebsd.org/D8191

Changes:
  head/devel/Makefile
  head/devel/hs-setlocale/
  head/devel/hs-setlocale/Makefile
  head/devel/hs-setlocale/distinfo
  head/devel/hs-setlocale/pkg-descr
  head/lang/ghc/bsd.hackage.mk
  head/x11-wm/hs-xmonad/Makefile
  head/x11-wm/hs-xmonad/distinfo
  head/x11-wm/hs-xmonad/files/
  head/x11-wm/hs-xmonad-contrib/Makefile
  head/x11-wm/hs-xmonad-contrib/distinfo
  head/x11-wm/hs-xmonad-contrib/files/